Commit 52d9eee3 authored by Jonathan Mang's avatar Jonathan Mang 💡
Browse files

refactor: added system requirements for cran checks

parent 1e47c023
Pipeline #16216 passed with stages
in 12 minutes and 39 seconds
......@@ -41,4 +41,5 @@ Suggests:
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 7.1.1
SystemRequirements: libpq >= 9.0: libpq-dev (deb) or
postgresql-devel (rpm)
......@@ -67,6 +67,9 @@ my_desc$set("BugReports", "https://gitlab.miracum.org/miracum/dqa/dizutils/issue
# License
my_desc$set("License", "GPL-3")
# System requirements (for CRAN to avoid Rpostgres-errors):
my_desc$set("SystemRequirements", "libpq >= 9.0: libpq-dev (deb) or postgresql-devel (rpm)")
# Save everyting
my_desc$write(file = "DESCRIPTION")
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment